> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event instance by ID

> Retrieve a specific event instance by ID and client



## OpenAPI

````yaml /openapi.json get /api/public/events/instances/{instanceId}
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/events/instances/{instanceId}:
    get:
      tags:
        - Public Events
      summary: Get event instance by ID
      description: Retrieve a specific event instance by ID and client
      operationId: PublicEventsController_getEventInstanceById
      parameters:
        - name: instanceId
          required: true
          in: path
          description: Event instance ID
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Event instance retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppEventInstance'
        '404':
          description: Event instance not found
components:
  schemas:
    AppEventInstance:
      type: object
      properties: {}

````